Forex

Use the Forex API to access Checkout.com's foreign exchange (FX) services.

Forex Operations

Get FX rates

Get the indicative foreign exchange (FX) rates for:

  • Daily acquiring
  • Scheme acquiring
  • Card payouts

If you request an FX rate for a product that is not enabled for your account, you receive a 403 Forbidden error response.

Query Parameters
  • product
    Type: string · enum
    required

    The Checkout.com Forex product you want to get rates for.

    values
    • card_payouts
    • daily_acquiring
    • scheme_acquiring
  • source
    Type: string · enum
    required

    The scheme that provided the FX rates.
    If product is daily_acquiring, this field is not required.

    values
    • mastercard
    • visa
  • currency_pairs
    Type: string
    required

    A list of currency code pairs to retrieve FX rates for. For example, to request a rate for a USD to GBP conversion, the currency pair is USDGBP.
    Format – Comma-separated list

  • processing_channel_id
    Type: string · Pattern: ^(pc)_(\w{26})$
    required

    The processing channel's unique identifier.

Responses
  • application/json
  • 401

    Unauthorized

  • 403

    Forbidden

  • application/json
  • 429

    Too Many Requests / Duplicate Requests

  • 502

    Bad Gateway

Request Example for get/forex/rates
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/forex/rates?product=card_payouts&source=visa&currency_pairs=USDGBP%2CEURNOK%2CJPYCAD&processing_channel_id=pc_vxt6yftthv4e5flqak6w2i7rim' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "product": "card_payouts",
  "source": "visa",
  "rates": [
    {
      "exchange_rate": 1.14208777,
      "currency_pair": "GBPEUR"
    },
    {
      "exchange_rate": 0.83708142,
      "currency_pair": "USDGBP"
    }
  ],
  "invalid_currency_pairs": [
    "XXXAAA"
  ]
}